#include <stdarg.h>
#include <stdio.h>

#include "error.h"

extern const char *program_name;

int printerr(const char *fmt, ...)
{
	va_list va;
	int ret;

	fprintf(stderr, "%s: ", program_name);
	va_start(va, fmt);
	ret = vfprintf(stderr, fmt, va);
	va_end(va);

	return ret;
}
