#ifndef _SYMTAB_H
#define _SYMTAB_H

#include <stddef.h>

#include "bigint.h"

typedef struct symtab symtab;
struct symtab {
	wchar_t *name;
	bigint value;
	symtab *next;
};

symtab *symtab_set(symtab *symtab, const wchar_t *name, const bigint *value);

const bigint *symtab_lookup(const symtab *symtab, const wchar_t *name);

void symtab_free(symtab *symtab);

#endif
